## UDisksVolumeGroup UDisksVolumeGroup — Generated C code for the org.freedesktop.UDisks2.VolumeGroup D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_volume_group_interface_info ()
guint | udisks_volume_group_override_properties ()
void | udisks_manager_lvm2_call_volume_group_create ()
gboolean | udisks_manager_lvm2_call_volume_group_create_finish ()
gboolean | udisks_manager_lvm2_call_volume_group_create_sync ()
void | udisks_manager_lvm2_complete_volume_group_create ()
void | udisks_volume_group_call_poll ()
gboolean | udisks_volume_group_call_poll_finish ()
gboolean | udisks_volume_group_call_poll_sync ()
void | udisks_volume_group_call_delete ()
gboolean | udisks_volume_group_call_delete_finish ()
gboolean | udisks_volume_group_call_delete_sync ()
void | udisks_volume_group_call_rename ()
gboolean | udisks_volume_group_call_rename_finish ()
gboolean | udisks_volume_group_call_rename_sync ()
void | udisks_volume_group_call_add_device ()
gboolean | udisks_volume_group_call_add_device_finish ()
gboolean | udisks_volume_group_call_add_device_sync ()
void | udisks_volume_group_call_empty_device ()
gboolean | udisks_volume_group_call_empty_device_finish ()
gboolean | udisks_volume_group_call_empty_device_sync ()
void | udisks_volume_group_call_remove_device ()
gboolean | udisks_volume_group_call_remove_device_finish ()
gboolean | udisks_volume_group_call_remove_device_sync ()
void | udisks_volume_group_call_create_plain_volume ()
gboolean | udisks_volume_group_call_create_plain_volume_finish ()
gboolean | udisks_volume_group_call_create_plain_volume_sync ()
void | udisks_volume_group_call_create_thin_pool_volume ()
gboolean | udisks_volume_group_call_create_thin_pool_volume_finish ()
gboolean | udisks_volume_group_call_create_thin_pool_volume_sync ()
void | udisks_volume_group_call_create_thin_volume ()
gboolean | udisks_volume_group_call_create_thin_volume_finish ()
gboolean | udisks_volume_group_call_create_thin_volume_sync ()
void | udisks_volume_group_complete_poll ()
void | udisks_volume_group_complete_delete ()
void | udisks_volume_group_complete_rename ()
void | udisks_volume_group_complete_add_device ()
void | udisks_volume_group_complete_empty_device ()
void | udisks_volume_group_complete_remove_device ()
void | udisks_volume_group_complete_create_plain_volume ()
void | udisks_volume_group_complete_create_thin_pool_volume ()
void | udisks_volume_group_complete_create_thin_volume ()
void | udisks_volume_group_proxy_new ()
UDisksVolumeGroup * | udisks_volume_group_proxy_new_finish ()
UDisksVolumeGroup * | udisks_volume_group_proxy_new_sync ()
void | udisks_volume_group_proxy_new_for_bus ()
UDisksVolumeGroup * | udisks_volume_group_proxy_new_for_bus_finish ()
UDisksVolumeGroup * | udisks_volume_group_proxy_new_for_bus_sync ()
UDisksVolumeGroup * | udisks_volume_group_skeleton_new ()

## Types and Values

| UDisksVolumeGroup
struct | UDisksVolumeGroupIface
struct | UDisksVolumeGroupProxy
struct | UDisksVolumeGroupProxyClass
struct | UDisksVolumeGroupSkeleton
struct | UDisksVolumeGroupSkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.VolumeGroup D-Bus interface in C.

## Functions

### udisks_volume_group_interface_info ()

    GDBusInterfaceInfo *
    udisks_volume_group_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.VolumeGroup D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 2.0.0

### udisks_volume_group_override_properties ()

    guint
    udisks_volume_group_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksVolumeGroup interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 2.0.0

### udisks_manager_lvm2_call_volume_group_create ()

    void
    udisks_manager_lvm2_call_volume_group_create
                                   (UDisksManagerLVM2 *proxy,
                                    const gchar *arg_name,
                                    const gchar *const *arg_blocks,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `VolumeGroupCreate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_lvm2_call_volume_group_create_finish()` to get the result of the operation.

See `udisks_manager_lvm2_call_volume_group_create_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerLVM2Proxy. |
arg_name | Argument to pass with the method invocation. |
arg_blocks | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_manager_lvm2_call_volume_group_create_finish ()

    gboolean
    udisks_manager_lvm2_call_volume_group_create_finish
                                   (UDisksManagerLVM2 *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_lvm2_call_volume_group_create()`.

#### Parameters

proxy | A UDisksManagerLVM2Proxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_lvm2_call_volume_group_create()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_manager_lvm2_call_volume_group_create_sync ()

    gboolean
    udisks_manager_lvm2_call_volume_group_create_sync
                                   (UDisksManagerLVM2 *proxy,
                                    const gchar *arg_name,
                                    const gchar *const *arg_blocks,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `VolumeGroupCreate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_lvm2_call_volume_group_create()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerLVM2Proxy. |
arg_name | Argument to pass with the method invocation. |
arg_blocks | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_manager_lvm2_complete_volume_group_create ()

    void
    udisks_manager_lvm2_complete_volume_group_create
                                   (UDisksManagerLVM2 *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `VolumeGroupCreate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerLVM2. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_volume_group_call_poll ()

    void
    udisks_volume_group_call_poll (UDisksVolumeGroup *proxy,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `Poll()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_poll_finish()` to get the result of the operation.

See `udisks_volume_group_call_poll_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_poll_finish ()

    gboolean
    udisks_volume_group_call_poll_finish (UDisksVolumeGroup *proxy,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_volume_group_call_poll()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_poll()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_poll_sync ()

    gboolean
    udisks_volume_group_call_poll_sync (UDisksVolumeGroup *proxy,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `Poll()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_poll()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_delete ()

    void
    udisks_volume_group_call_delete (UDisksVolumeGroup *proxy,
                                     gboolean arg_wipe,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously invokes the `Delete()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_delete_finish()` to get the result of the operation.

See `udisks_volume_group_call_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_wipe | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_delete_finish ()

    gboolean
    udisks_volume_group_call_delete_finish
                                   (UDisksVolumeGroup *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_delete()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_delete_sync ()

    gboolean
    udisks_volume_group_call_delete_sync (UDisksVolumeGroup *proxy,
                                          gboolean arg_wipe,
                                          GVariant *arg_options,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously invokes the `Delete()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_delete()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_wipe | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_rename ()

    void
    udisks_volume_group_call_rename (UDisksVolumeGroup *proxy,
                                     const gchar *arg_new_name,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously invokes the `Rename()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_rename_finish()` to get the result of the operation.

See `udisks_volume_group_call_rename_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_new_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_rename_finish ()

    gboolean
    udisks_volume_group_call_rename_finish
                                   (UDisksVolumeGroup *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_rename()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_rename()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_rename_sync ()

    gboolean
    udisks_volume_group_call_rename_sync (UDisksVolumeGroup *proxy,
                                          const gchar *arg_new_name,
                                          GVariant *arg_options,
                                          gchar **out_result,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously invokes the `Rename()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_rename()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_new_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_add_device ()

    void
    udisks_volume_group_call_add_device (UDisksVolumeGroup *proxy,
                                         const gchar *arg_block,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `AddDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_add_device_finish()` to get the result of the operation.

See `udisks_volume_group_call_add_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_block | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_add_device_finish ()

    gboolean
    udisks_volume_group_call_add_device_finish
                                   (UDisksVolumeGroup *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_add_device()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_add_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_add_device_sync ()

    gboolean
    udisks_volume_group_call_add_device_sync
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_block,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `AddDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_add_device()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_block | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_empty_device ()

    void
    udisks_volume_group_call_empty_device (UDisksVolumeGroup *proxy,
                                           const gchar *arg_block,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `EmptyDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_empty_device_finish()` to get the result of the operation.

See `udisks_volume_group_call_empty_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_block | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_empty_device_finish ()

    gboolean
    udisks_volume_group_call_empty_device_finish
                                   (UDisksVolumeGroup *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_empty_device()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_empty_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_empty_device_sync ()

    gboolean
    udisks_volume_group_call_empty_device_sync
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_block,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EmptyDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_empty_device()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_block | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_remove_device ()

    void
    udisks_volume_group_call_remove_device
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_block,
                                    gboolean arg_wipe,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `RemoveDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_remove_device_finish()` to get the result of the operation.

See `udisks_volume_group_call_remove_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_block | Argument to pass with the method invocation. |
arg_wipe | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_remove_device_finish ()

    gboolean
    udisks_volume_group_call_remove_device_finish
                                   (UDisksVolumeGroup *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_remove_device()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_remove_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_remove_device_sync ()

    gboolean
    udisks_volume_group_call_remove_device_sync
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_block,
                                    gboolean arg_wipe,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `RemoveDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_remove_device()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_block | Argument to pass with the method invocation. |
arg_wipe | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_create_plain_volume ()

    void
    udisks_volume_group_call_create_plain_volume
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreatePlainVolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_create_plain_volume_finish()` to get the result of the operation.

See `udisks_volume_group_call_create_plain_volume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_create_plain_volume_finish ()

    gboolean
    udisks_volume_group_call_create_plain_volume_finish
                                   (UDisksVolumeGroup *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_create_plain_volume()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_create_plain_volume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_create_plain_volume_sync ()

    gboolean
    udisks_volume_group_call_create_plain_volume_sync
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreatePlainVolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_create_plain_volume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_create_thin_pool_volume ()

    void
    udisks_volume_group_call_create_thin_pool_volume
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateThinPoolVolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_create_thin_pool_volume_finish()` to get the result of the operation.

See `udisks_volume_group_call_create_thin_pool_volume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_create_thin_pool_volume_finish ()

    gboolean
    udisks_volume_group_call_create_thin_pool_volume_finish
                                   (UDisksVolumeGroup *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_create_thin_pool_volume()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_create_thin_pool_volume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_create_thin_pool_volume_sync ()

    gboolean
    udisks_volume_group_call_create_thin_pool_volume_sync
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateThinPoolVolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_create_thin_pool_volume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_create_thin_volume ()

    void
    udisks_volume_group_call_create_thin_volume
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    const gchar *arg_pool,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateThinVolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_call_create_thin_volume_finish()` to get the result of the operation.

See `udisks_volume_group_call_create_thin_volume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_pool | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_call_create_thin_volume_finish ()

    gboolean
    udisks_volume_group_call_create_thin_volume_finish
                                   (UDisksVolumeGroup *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_call_create_thin_volume()`.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_call_create_thin_volume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_call_create_thin_volume_sync ()

    gboolean
    udisks_volume_group_call_create_thin_volume_sync
                                   (UDisksVolumeGroup *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    const gchar *arg_pool,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateThinVolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_volume_group_call_create_thin_volume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVolumeGroupProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_pool | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_volume_group_complete_poll ()

    void
    udisks_volume_group_complete_poll (UDisksVolumeGroup *object,
                                       GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Poll()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_volume_group_complete_delete ()

    void
    udisks_volume_group_complete_delete (UDisksVolumeGroup *object,
                                         GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Delete()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_volume_group_complete_rename ()

    void
    udisks_volume_group_complete_rename (UDisksVolumeGroup *object,
                                         GDBusMethodInvocation *invocation,
                                         const gchar *result);

Helper function used in service implementations to finish handling invocations of the `Rename()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_volume_group_complete_add_device ()

    void
    udisks_volume_group_complete_add_device
                                   (UDisksVolumeGroup *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `AddDevice()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_volume_group_complete_empty_device ()

    void
    udisks_volume_group_complete_empty_device
                                   (UDisksVolumeGroup *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `EmptyDevice()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_volume_group_complete_remove_device ()

    void
    udisks_volume_group_complete_remove_device
                                   (UDisksVolumeGroup *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `RemoveDevice()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_volume_group_complete_create_plain_volume ()

    void
    udisks_volume_group_complete_create_plain_volume
                                   (UDisksVolumeGroup *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `CreatePlainVolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_volume_group_complete_create_thin_pool_volume ()

    void
    udisks_volume_group_complete_create_thin_pool_volume
                                   (UDisksVolumeGroup *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `CreateThinPoolVolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_volume_group_complete_create_thin_volume ()

    void
    udisks_volume_group_complete_create_thin_volume
                                   (UDisksVolumeGroup *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `CreateThinVolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVolumeGroup. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_volume_group_proxy_new ()

    void
    udisks_volume_group_proxy_new (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.VolumeGroup. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_proxy_new_finish()` to get the result of the operation.

See `udisks_volume_group_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_proxy_new_finish ()

    UDisksVolumeGroup *
    udisks_volume_group_proxy_new_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_volume_group_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVolumeGroupProxy]

Since: 2.0.0

### udisks_volume_group_proxy_new_sync ()

    UDisksVolumeGroup *
    udisks_volume_group_proxy_new_sync (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.VolumeGroup. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_volume_group_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVolumeGroupProxy]

Since: 2.0.0

### udisks_volume_group_proxy_new_for_bus ()

    void
    udisks_volume_group_proxy_new_for_bus (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Like `udisks_volume_group_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_volume_group_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_volume_group_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_volume_group_proxy_new_for_bus_finish ()

    UDisksVolumeGroup *
    udisks_volume_group_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_volume_group_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_volume_group_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVolumeGroupProxy]

Since: 2.0.0

### udisks_volume_group_proxy_new_for_bus_sync ()

    UDisksVolumeGroup *
    udisks_volume_group_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_volume_group_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_volume_group_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVolumeGroupProxy]

Since: 2.0.0

### udisks_volume_group_skeleton_new ()

    UDisksVolumeGroup *
    udisks_volume_group_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.VolumeGroup.

#### Returns

The skeleton object.

[transfer full][type UDisksVolumeGroupSkeleton]

Since: 2.0.0

## Types and Values

### UDisksVolumeGroup

    typedef struct _UDisksVolumeGroup UDisksVolumeGroup;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.VolumeGroup.

Since: 2.0.0

### struct UDisksVolumeGroupIface

    struct UDisksVolumeGroupIface {
      GTypeInterface parent_iface;

      gboolean (*handle_add_device) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_block,
        GVariant *arg_options);

      gboolean (*handle_create_plain_volume) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_name,
        guint64 arg_size,
        GVariant *arg_options);

      gboolean (*handle_create_thin_pool_volume) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_name,
        guint64 arg_size,
        GVariant *arg_options);

      gboolean (*handle_create_thin_volume) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_name,
        guint64 arg_size,
        const gchar *arg_pool,
        GVariant *arg_options);

      gboolean (*handle_delete) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_wipe,
        GVariant *arg_options);

      gboolean (*handle_empty_device) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_block,
        GVariant *arg_options);

      gboolean (*handle_poll) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_remove_device) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_block,
        gboolean arg_wipe,
        GVariant *arg_options);

      gboolean (*handle_rename) (
        UDisksVolumeGroup *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_new_name,
        GVariant *arg_options);

      guint64  (*get_extent_size) (UDisksVolumeGroup *object);

      guint64  (*get_free_size) (UDisksVolumeGroup *object);

      const gchar * (*get_name) (UDisksVolumeGroup *object);

      gboolean  (*get_needs_polling) (UDisksVolumeGroup *object);

      guint64  (*get_size) (UDisksVolumeGroup *object);

      const gchar * (*get_uuid) (UDisksVolumeGroup *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.VolumeGroup.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_add_device` () | Handler for the “handle-add-device” signal. |
`handle_create_plain_volume` () | Handler for the “handle-create-plain-volume” signal. |
`handle_create_thin_pool_volume` () | Handler for the “handle-create-thin-pool-volume” signal. |
`handle_create_thin_volume` () | Handler for the “handle-create-thin-volume” signal. |
`handle_delete` () | Handler for the “handle-delete” signal. |
`handle_empty_device` () | Handler for the “handle-empty-device” signal. |
`handle_poll` () | Handler for the “handle-poll” signal. |
`handle_remove_device` () | Handler for the “handle-remove-device” signal. |
`handle_rename` () | Handler for the “handle-rename” signal. |
`get_extent_size` () | Getter for the “extent-size” property. |
`get_free_size` () | Getter for the “free-size” property. |
`get_name` () | Getter for the “name” property. |
`get_needs_polling` () | Getter for the “needs-polling” property. |
`get_size` () | Getter for the “size” property. |
`get_uuid` () | Getter for the “uuid” property. |

Since: 2.0.0

### struct UDisksVolumeGroupProxy

    struct UDisksVolumeGroupProxy {
    };

The UDisksVolumeGroupProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksVolumeGroupProxyClass

    struct UDisksVolumeGroupProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksVolumeGroupProxy.

#### Members

Since: 2.0.0

### struct UDisksVolumeGroupSkeleton

    struct UDisksVolumeGroupSkeleton {
    };

The UDisksVolumeGroupSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksVolumeGroupSkeletonClass

    struct UDisksVolumeGroupSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksVolumeGroupSkeleton.

#### Members

Since: 2.0.0